# Update account balances forcefully

Endpoint: POST /v1/domains/{domainId}/accounts/{accountId}/balances/refresh
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

  - `accountId` (string, required)

## Query parameters:

  - `ledgerId` (string)
    Updates only balances with the given ledger id. Reduces execution time.

  - `tickerId` (string)
    Updates only balances with the given ticker id. Reduces execution time.

## Response 400:

  - `400` (unknown)
    One of: Domain locked (DomainLockedError); Requester locked (RequesterLockedError)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 409:

  - `409` (unknown)
    One of: Account not processed (AccountNotProcessed); Account not ready yet (AccountNotReady)

## Response 409 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

